July 27th, 2026
Added
PUT /tenants/{tenantId}/documents/{documentId}/documents/{subDocumentId}now accepts an optionalunboxproperty. When set totrue, the sub-module is attached and immediately unboxed: its steps are flattened into the parent document atpositionand the module itself is detached.
July 13th, 2026
Fixed
POST /tenants/{tenantId}/groups/{groupId}/userno longer fails with a500error whenattachUserIdsorremoveUserIdscontain duplicate or otherwise invalid ids. It now returns a400validation error and only accepts unique, positive integer ids.
June 29th, 2026
Added
GET /tenants/{tenantId}/reports/{reportId}/exportnow includes table cell interaction values alongside the other interactions of a process step.- Added a
cellDataproperty to interaction response objects. For table cell interactions returned byGET /tenants/{tenantId}/reports/{reportId}/exportit contains the cell'scolumnId,columnName,columnPosition,rowIdandrowPosition; for all other interactions it isnull. POST /tenants/{tenantId}/documentsnow supports creatingtableinteractions inside document steps. Each table column requires atype(textfield,confirm,check,number, ordescription) and an optionalname. All column types accept an optionalunitId; it is semantically meaningful only fornumbercolumns. Rows are defined as a 2D array of cells, each with an optionalname.POST /tenants/{tenantId}/documentsnow accepts an optionalunitIdonnumberinteractions.
Fixed
GET /tenants/{tenantId}/reports/{reportId}/exportnow resolves$$variableId$$variable placeholders in interaction names to their order-specific values, matching the CSV export. Placeholders without a matching order variable are left unchanged and no interactions or rows are removed.
June 15th, 2026
Added
- Added
documentBaseIdproperty to the report response payload ofGET /tenants/{tenantId}/reports,GET /tenants/{tenantId}/reports/{reportId},POST /tenants/{tenantId}/reports,PATCH /tenants/{tenantId}/reports/{reportId}andPOST /tenants/{tenantId}/orders/{orderId}/reports/detach. It contains the id of the underlying base document and can be used to access the most recent published version of the document. It isnullfor legacy reports whose underlying document no longer exists. - Added new endpoint
POST /tenants/{tenantId}/base-documents/{baseDocumentId}/latest-published-document/resolveto fetch the latest published document version for a base document and resolve dirty active or trash versions before returning the document.
Fixed
PATCH /tenants/{tenantId}/users/USERIDno longer fails with a500error when updating a non-active (archived) user. It now returns a422response with theUSER_NOT_ACTIVEerror code.POST /tenants/{tenantId}/documentsno longer fails with a502error for large documents that take longer than 30 seconds to create. The request body remains limited to a maximum size of 1 MB.- Removed unsupported object with
imageFeedbackIds,videoFeedbackIds,pdfFeedbackIdsfrom the acceptedvaluetypes ofPUT /tenants/{tenantId}/interaction-values/{interactionValueId}. Media feedback was never supported on this endpoint.
May 18th, 2026
Added
- Added new endpoint
PATCH /tenants/{tenantId}/class-characteristics/{classCharacteristicId}to update a class characteristic's data or archived state. - Added new endpoint
POST /tenants/{tenantId}/class-characteristics/graph/refreshto trigger a refresh of the class characteristics graph after changes to class characteristics or their relations. - Added new endpoint
PATCH /tenants/{tenantId}/class-characteristics/assignmentsto batch attach or detach class characteristics on documents, reports, orders, tasks, global materials, and other supported entities. - Added new endpoint
GET /tenants/{tenantId}/tasks/{taskId}to fetch a single task by id (same response shape as list items, including optionalclassCharacteristicIdswhen external classifiers are present). - Added new endpoint
GET /tenants/{tenantId}/tasks/{taskId}/mediato list task media metadata with ID filtering and pagination. - Added new endpoint
GET /tenants/{tenantId}/tasks/media/{taskMediaId}/video-fileto download converted task media video files (supports range requests when available). - Added new endpoint
GET /tenants/{tenantId}/tasks/media/{taskMediaId}/pdf-fileto download task media PDF files. - Added new endpoint
GET /tenants/{tenantId}/interaction-values/{interactionValueId}/historyto retrieve interaction value history.
Deprecated
- Deprecated response property
archivedfromGET /tenants/{tenantId}/users,GET /tenants/{tenantId}/users/USERIDandPOST /tenants/{tenantId}/users. Use thestatusproperty instead. - Deprecated query parameter
archivedfromGET /tenants/{tenantId}/users. Use thestatusquery parameter instead. - Deprecated request property
archivedfromPATCH /tenants/{tenantId}/users/USERID. Use thestatusproperty instead.
May 4th, 2026
Fix
- Return
400 Bad Requestinstead of500 Internal Server ErrorwhenPUT /tenants/{tenantId}/global-materials/{globalMaterialId}/imageis called with an image smaller than 1kb.
April 24th, 2026
Added
- Added optional
searchquery parameter toGET /tenants/{tenantId}/reportsendpoint for search on report name (minimum 3 characters).
April 20th, 2026
Added
- Added new endpoint
POST /tenants/{tenantId}/variablesto create a variable. - Added new endpoint
GET /tenants/{tenantId}/variablesto list variables with pagination, search and archived filtering. - Added
statusproperty to the response payload ofGET /tenants/{tenantId}/users,GET /tenants/{tenantId}/users/USERIDandPOST /tenants/{tenantId}/usersendpoints. Possible values areactive,archivedandanonymized. - Added optional
statusfilter query parameter toGET /tenants/{tenantId}/usersendpoint. Accepts an array of values:active,archived,anonymized. - Added optional
statusproperty to the request payload ofPATCH /tenants/{tenantId}/users/USERIDendpoint. Possible values areactive,archivedandanonymized.
Fix
- Return
400 Bad Requestinstead of500 Internal Server ErrorwhenPOST /tenants/{tenantId}/documentsis called with rows that have emptyinteractionsarrays.
Deprecated
- Response property
archivedforGET /tenants/{tenantId}/users,GET /tenants/{tenantId}/users/USERIDandPOST /tenants/{tenantId}/usersis deprecated. Usestatusinstead. - Query parameter
archivedforGET /tenants/{tenantId}/usersis deprecated. Usestatusinstead. - Request property
archivedforPATCH /tenants/{tenantId}/users/USERIDis deprecated. Usestatusinstead.
April 6th, 2026
Deprecated
- Response properties
orderDocumentAssignments[].subAssigneeIdandorderDocumentAssignments[].subAssigneeUserNameare deprecated. UseorderDocumentAssignments[].assignedUsersandorderDocumentAssignments[].assignedGroupsinstead. - Request property
subAssigneeIdforPOST /tenants/{tenantId}/orders/{orderId}/order-document-assignmentsand nestedorderDocumentAssignmentsinPOST /tenants/{tenantId}/ordersis deprecated. UseassignedUserIdsandassignedGroupIdsinstead. - For
GET /tenants/{tenantId}/orders, nested response propertiesorderDocumentAssignments[].assignedUsersandorderDocumentAssignments[].assignedGroupsare deprecated. Use top-level orderassignedUsersandassignedGroupsor dedicated order-document-assignment endpoints for assignment-level assignees.
Fix
- Return
400 Bad Requestinstead of500 Internal Server Errorwhen adding a document as a sub-document of itself viaPUT /tenants/{tenantId}/documents/{documentId}/documents/{subDocumentId}.
March 23rd, 2026
Added
- Added new endpoint
POST /tenants/{tenantId}/users/USERID/push-report-into-viewto push a report into a user's view.
Fix
- Return
400 Bad Requestinstead of500 Internal Server Errorwhen updatingPATCH /tenants/{tenantId}/order-document-assignments/{orderDocumentAssignmentId}after a report has already been generated for the order document assignment.
March 9th, 2026
Fix
- Return
400 Bad Requestinstead of500 Internal Server Errorwhen assigning a role to an archived user viaPUT /tenants/{tenantId}/users/USERID/roles/{roleId}.
February 23rd, 2026
Added
- Extended assigned user and assigned group response payloads for orders, reports and tasks with optional
displayName. The propertiesidandnamecan now also benull.
February 9th, 2026
Added
- Extended access control response payloads for base-documents, orders and tasks with
displayName.
January 26th, 2026
Added
- Extended
GET /tenants/{tenantId}/interactions/{interactionId}endpoint to support interaction typetable. - Extended document and report response payloads to support interaction type
table.
January 12th, 2026
Added
- Extended
GET /tenants/{tenantId}/tasksendpoint with task template fields - Extended
POST /tenants/{tenantId}/tasksendpoint to support optional payloadtemplateFieldsValues - Extended
PATCH /tenants/{tenantId}/tasks/{taskId}endpoint to support optional payloadtemplateFieldsValues
December 19th, 2025
Added
- Extended
POST /tenants/{tenantId}/documentsendpoint to support optional payloadreportCompletionPreventionMode - Extended
PATCH /tenants/{tenantId}/documents/{documentId}endpoint to support optional payloadreportCompletionPreventionMode
November 25th, 2025
Added
- Extended
GET /tenants/{tenantId}/documentsendpoint with a new optional filterbaseIds.
November 17th, 2025
Fix
- Return proper error message for
POST /tenants/{tenantId}/base-documents/access-controlsif baseDocumentIds are not found
November 3th, 2025
Added
- Increased limit for document step name from 255 to 2000 and for interaction name from 2000 to 10_000.
- Extended
POST /tenants/{tenantId}/documentsendpoint with optional interaction tag assignment for interactions.
October 20th, 2025
Fix
- Fixed an issue with the
PATCH /tenants/{tenantId}/reports/{reportId}endpoint that incorrectly allowed setting the report state to 'not-started', which is not a valid state and was causing 500 server errors.
October 6th, 2025
Added
-
Extended
GET /tenants/{tenantId}/reportsand GET/tenants/{tenantId}/reports/{reportId}endpoint to retrieves order document assignment -
Extended
GET /tenants/{tenantId}/reports/{reportId}/exportendpoint to retrieves order document assignment -
Added new endpoint
PATCH /tenants/{tenantId}/orders/{orderId}/reportsto be able to update user and group assignments for a given report -
Added three new document languages: Albanian (sq), Bosnian (bs), Serbian (sr)
September 22nd, 2025
Added
- Extended
POST /tenants/{tenantId}/connectors/ops1-order-connectors/{connectorId}/executeendpoint to support group assignment via array of strings in the payload.
Fix
- Endpoints
POST /tenants/{tenantId}/orders/{orderId}/duplicateandPOST /tenants/{tenantId}/orders/{orderId}/instantiatedid return the order model from version2024-05-20now the responses are aligned with all other order endpoints.
September 8th, 2025
Added
- Added new endpoint
GET /tenants/{tenantId}/groupsto get user-groups list. - Added new endpoint
PATCH /tenants/{tenantId}/groups/{groupId}to update a user-group. - Added new endpoint
DELETE /tenants/{tenantId}/groupsto delete user-groups. - Added new endpoint
POST /tenants/{tenantId}/groups/{groupId}/userto add or remove a user to a user-group. - Added new endpoint
GET /tenants/{tenantId}/groups/{groupId}to get user-group by id. - Added new endpoint
PATCH /tenants/{tenantId}/groupsto archive and unarchive a user-group. - Added new endpoint
POST /tenants/{tenantId}/groupsto create a user-group. - Extended response payload of
GET /tenants/{tenantId}/reports/{reportId}/exportincludeupdatedAt,updatedByandupdatedByUserNameproperties forreportSteps. - For
interactionof typenumberthe propertiesfailValueMoreandfailValueLessare now included in the response payload. - Extended response payload of
GET /tenants/{tenantId}/reports/{reportId}/exportwithdocument.qualificationsRequiredfor unique, flattened parent and nested documents qualifications. Previously used propertydocument.qualificationsis deprecated to clearly distinguish between granted and required qualifications. - Extended
GET /tenants/{tenantId}/ordersendpoint with new query parameterruleId.
August 25th, 2025
Added
- Added new endpoint
DELETE /tenants/{tenantId}/orders/access-controls/{acEntityId}to delete the assigned access of an order. - Added new endpoint
POST /tenants/{tenantId}/orders/{orderId}/access-controlsto assign access to an order. - Added new endpoint
PATCH /tenants/{tenantId}/order-document-assignments/{orderDocumentAssignmentId}to update an order document assignment (supportsquantity,position,assignedUserIds,assignedGroupIds,useLatestDocument,reportName). - Added new parameters
assignedUserIds,assignedGroupIdstoPOST /tenants/{tenantId}/orders/{orderId}/order-document-assigmentsendpoint for the order document assignment create data - Added new parameters
assignedUserIds,assignedGroupIdstoPOST /tenants/{tenantId}/orderendpoint for the order document assignment create data - Added optional
localespayload support for endpointPOST /tenants/{tenantId}/documentsteps, processSteps and interactions.
August 11th, 2025
Added
- Added new endpoint
POST /tenants/{tenantId}/connectors/ops1-order-connectors/{connectorId}/execute. To create an order using the operations1 order connector. See our document how to set up an order connector. - Added
linkandkey-valueinteractions andindividualReportprocessStep creation supportPOST /tenants/{tenantId}/documentsendpoint.
Fix
- No longer throw a 500 error when duplicated class characteristic ids are sent to
PUT /tenants/{tenantId}/orders/{orderId}/class-characteristicsendpoint.
July 14th, 2025
Added
- Added
showOrderInformationquery option forGET /tenants/{tenantId}/reports/{reportId}/pdfsendpoint to include order information in PDF.
June 30th, 2025
Fix
- Return proper
unitproperty in the response payload of theGET /tenants/{tenantId}/reports/{reportId}/exportendpoint for number interactions. Before it was alwaysnull. - Return
409 Conflicterror when trying to attach a document with variables to a document without variables via thePUT /tenants/{tenantId}/documents/{documentId}/documents/{subDocumentId}endpoint.
Added
- Added
qualificationsproperties to the response payload of theGET /tenants/{tenantId}/users/\{userId}endpoint. - Added
qualificationIdsrequest payload forPOST /tenants/{tenantId}/usersendpoint to create user with assigned qualifications. - Added new endpoint
GET /tenants/{tenantId}/qualificationsto get qualifications list - Added new endpoint
DELETE /tenants/{tenantId}/qualification/{qualificationId}to delete user qualification
June 16th, 2025
Added
- Added new endpoint
POST /tenants/{tenantId}/users/\{userId}/qualificationsto upsert user qualifications - Added
classCharacteristicsandorderPositionproperties to the response payload of theGET /tenants/{tenantId}/reportsendpoint. - Added query parameters
classCharacteristicIdsandorderIdsto theGET /tenants/{tenantId}/reportsendpoint to filter reports by class characteristics or order ids
June 2nd, 2025
Added
- Added possibility to update
executionModeviaPATCH /tenants/{tenantId}/orders/{orderId}endpoint - Added new property
orderPositionto the response payload of theGET /tenants/{tenantId}/reports/{reportId}endpoint to indicate the position of the report within an order
May 5th, 2025
Added
- Added new endpoint
POST /tenants/{tenantId}/documents/translationsto upload translations - Added new endpoint
POST /tenants/{tenantId}/documents/{documentId}/qualifications-requiredto add required qualification to document - Added new endpoint
POST /tenants/{tenantId}/documents/{documentId}/qualifications-grantedto add granted qualification to document
April 23rd, 2025
Fix
- Fixed the problem that for endpoint
POST /tenants/{tenantId}/orders/the value ofuseLatestDocumentwas ignored and instead the default valuetruewas always used
Changed
- Endpoints
POST /tenants/{tenantId}/documents,PATCH /tenants/{tenantId}/documents/{documentId},GET /tenants/{tenantId}/documents/{documentId}now includes granted and required qualifications - Endpoint
POST /tenants/{tenantId}/documentsnow supports document creation with granted and required qualifications.
April 21st, 2025
Release
New public api version 2025-04-21 is released. Previous version 2024-05-20 is now deprecated, please set accept-version header to 2025-04-21.
Changed
-
Property
assigneeIdhas been removed from request payload for thePOST /tenants/{tenantId}/tasksandPATCH /tenants/{tenantId}/tasks/{taskId}endpoints -
Properties
assigneeIdandassigneeUserNamehave been removed from response payload for theGET /tenants/{tenantId}/tasks,POST /tenants/{tenantId}/tasks, andPATCH /tenants/{tenantId}/tasks/{taskId}endpoints -
Properties
classFilterAssistantandclassFilterEditorhave been removed from request payload for thePOST /tenants/{tenantId}/usersandPATCH /tenants/{tenantId}/users/\{userId}endpoints -
Renamed endpoint
GET /tenants/{tenantId}/images-feedback/{imageFeedbackId}/filetoGET /tenants/{tenantId}/image-feedbacks/{imageFeedbackId}/file -
Renamed endpoint
GET /tenants/{tenantId}/videos-feedback/{videoFeedbackId}/filetoGET /tenants/{tenantId}/video-feedbacks/{videoFeedbackId}/file -
Endpoint
GET /tenants/{tenantId}/pdfs-feedback/{pdfFeedbackId}/file.pdfwas renamed toGET /tenants/{tenantId}/pdf-feedbacks/{pdfFeedbackId}/fileto be consistent with other endpoints. -
The following search query parameters now require at least 3 characters:
- Query parameter
namefor endpointGET /tenenats/{tenantId}/roles - Query parameter
searchfor endpointGET /tenants/{tenantId}/orders - Query parameters
search,customIdandlocationfor endpointGET /tenants/{tenantId}/global-materials
- Query parameter
-
Property
assignedUserIdsandassignedGroupIdswas added,assigneeIdwas removed from the request payloadPATCH /tenants/{tenantId}/orders/{orderId} -
Property
assignedUsersandassignedGroupswas added,assigneeIdandassigneeUserNamewas removed from the response payloadPATCH /tenants/{tenantId}/orders/{orderId} -
Property
assignedUsersandassignedGroupswas added to the response payloadGET /tenants/{tenantId}/orders -
Property
assignedUserIdsandassignedGroupIdswas added,assigneeIdwas removed from the request payloadPOST /tenants/{tenantId}/orders
Added
-
Added new endpoint
GET /tenants/{tenantId}/documents/{documentId}/exportto fetch a document with additional data like steps, process steps, interactions, and interaction choices -
Added new properties
assignedUserIdsandassignedGroupsIdsto the request payload for thePOST /tenants/{tenantId}/tasksandPATCH /tenants/{tenantId}/tasks/{taskId}endpoints for assigning and updating multiple users or groups related to the task -
Added new properties
assignedUsersandassignedGroupsto the response payload for the
GET /tenants/{tenantId}/tasks,POST /tenants/{tenantId}/tasks, andPATCH /tenants/{tenantId}/tasks/{taskId}endpoints -
Added new property
classFilterto the request payload for thePOST /tenants/{tenantId}/usersandPATCH /tenants/{tenantId}/users/\{userId}endpoints for assigning and updating saved classifier filters for users
Removed
-
Removed endpoint
POST /tenants/{tenantId}/reports/{reportId}/generate-pdf,GET /tenants/{tenantId}/report-pdfs/{reportPdfId}andGET /tenants/{tenantId}/report-pdfs/{reportPdfId}/file.pdf.
Use the new PDF generation endpointsPOST /tenants/{tenantId}/reports/{reportId}/pdfs,GET /tenants/{tenantId}/pdf-jobs/{pdfJobId}andGET /tenants/{tenantId}/pdf-jobs/{pdfJobId}/fileinstead. -
Removed property
pdfsfrom the response of the following endpoints:POST /tenants/{tenantId}/orders/{orderId}/reports/detachGET /tenants/{tenantId}/reports/{reportId}PATCH /tenants/{tenantId}/reports/{reportId}

